import { jsx as e, jsxs as i } from "react/jsx-runtime";
import "./style.less.mjs";
import l from "./withoutPermission.png.mjs";
import { Layout as c, Button as m } from "antd";
import { Header as d, Content as h } from "antd/lib/layout/layout";
import p from "../UserInformation/index.mjs";
const x = (r) => {
  const {
    title: o,
    textContent: t,
    imageUrl: s,
    branding: n
  } = r, a = () => {
    window.location.href = window.location.origin + "/portal/_/aiot/fe/";
  };
  return /* @__PURE__ */ e("div", {
    className: "auto-without-permission",
    children: /* @__PURE__ */ i(c, {
      className: "no-permission-layout",
      children: [/* @__PURE__ */ i(d, {
        style: {
          height: "auto",
          overflow: "hidden"
        },
        className: "no-permission-header",
        children: [/* @__PURE__ */ i("div", {
          className: "header-left",
          children: [n && n, /* @__PURE__ */ e(m, {
            onClick: () => {
              a();
            },
            children: "返回上一级"
          })]
        }), /* @__PURE__ */ e("div", {
          className: "header-right",
          children: /* @__PURE__ */ e(p, {})
        })]
      }), /* @__PURE__ */ e(h, {
        className: "no-permission-content",
        children: /* @__PURE__ */ i("div", {
          className: "content",
          children: [/* @__PURE__ */ e("img", {
            className: "permission-img",
            src: s || l,
            alt: ""
          }), /* @__PURE__ */ i("div", {
            className: "permission-desc",
            children: [/* @__PURE__ */ e("div", {
              className: "title",
              children: o || "暂无权限"
            }), /* @__PURE__ */ e("div", {
              className: "text",
              children: t || "请联系管理员开通相关权限"
            })]
          })]
        })
      })]
    })
  });
};
export {
  x as default
};
